
$ Copyright (c) 2005 Sun Microsystems, Inc.  All rights reserved.  
$ U.S. Government Rights - Commercial software.  Government users are subject 
$ to the Sun Microsystems, Inc. standard license agreement and applicable 
$ provisions of the FAR and its supplements.  Use is subject to license terms.  
$ This distribution may include materials developed by third parties. Portions 
$ may be derived from Berkeley BSD systems, licensed from U. of CA.  Sun, 
$ Sun Microsystems, the Sun logo, Netra, Solaris, and Sun Ray are trademarks 
$ or registered trademarks of Sun Microsystems, Inc. in the U.S. and other 
$ countries.  All SPARC trademarks are used under license and are trademarks 
$ or registered trademarks of SPARC International, Inc. in the U.S. and other 
$ countries.

$ #ident "@(#)graphicstest.msg	1.1    04/09/24 13:09:46 SMI"

$ Message ID ranges:
$ VERBOSE  1 ~ 1999
$ INFO     2000 ~ 3999
$ WARNING  4000 ~ 5999
$ ERROR    6000 ~ 7999
$ FATAL    8000 ~ 9998
$ 9999 is reserved by test library for old style messages.
$ 0 is reserved and is an invalid message for all tests.

$ *********************************************
$ VERBOSE messages
$ *********************************************
$ TEST_RUN_VMSG 1
1	"Running functional test..."

$ *****************************************************
$ INFO messages (including INFO, CONSOLE, and LOGFILE)
$ No double quotes (" ") is needed for INFO messages.
$ *****************************************************

$ TEST_USAGE_INFOMSG 2000
2000	%s specific arguments [defaults]:\n\
     Separate multiple parameters with commas.  For example:\n\
       graphicstest -o dev=kfb1,B=2,F=2\n\n\
     dev=device_name :\n\
     Device under test (assumed in /dev/fbs directory) [device_name = %s].\n\n\
     S=n   : Subtests to be run. The following subtests can be selected:\n\n

$	GRAPHICS_SUB_TESTS	2001

2001	\
        - Open                            (n = 0x%05x)\n\
      	- DMA                             (n = 0x%05x)\n\
      	- Memory                          (n = 0x%05x)\n\
      	- Chip Test                       (n = 0x%05x)\n\n

$	GRAPHICS_TEST_INFO_1		2002
2002	\
      More than one subtest can be selected by ORing\n\
      their subtest numbers. Example: n = 0x%05x means\n\
      Open and Memory Tests. A hex number must be\n\
      proceeded by 0x, decimal numbers are also acceptable.\n\
      [n = 0xff]\n\n

$	GRAPHICS_TEST_INFO_2         2003
2003	\
    F=n       : Number of times to repeat each subtest [n = 1].\n\n\
    B=n       : Number of times to repeat test loop before passing [n = 1].\n\n\


$ GRAPHICS_UNKNOWN_MESSAGE
2114 NoDataCallback: Unknown Message %x \n

$ GRAPHICS_MESSAGE_STRING
2115 <%s>

$ GRAPHICS_ENV_MESG
2116 Setting Flags due to env var to %x \n

$ GRAPHICS_OPEN_LIBRARY
2117 Cannot open test library for: %s \n

$ GRAPHICS_TEST_OPEN_MESG	
2900 Testing opening the device. %s\n

$ GRAPHICS_TEST_DMA_MESG	
2901 Testing the DMA functionality on the device.%s \n

$ GRAPHICS_TEST_MEM_MESG	
2902 Testing the memory on the device.%s \n

$ GRAPHICS_TEST_CHIP_MESG
2903 Testing the graphics chips on the device. %s \n

$ GRAPHICS_TEST_VIDEO	
2904 Testing the video output of the device. \n

$ GRAPHICS_TEST_EMPTY	
2905 Not testing the device with this test. \n

$ GRAPHICS_INFO_MEM_TEST_0     
3328  -------- Random Data Test --------

$ GRAPHICS_INFO_MEM_TEST_1     
3329  ---------- Address Test ----------

$ GRAPHICS_INFO_MEM_TEST_2     
3330  --------- Increment Test ---------

$ *********************************
$ WARNING messages
$ *********************************
$ GRAPHICS_AVCERR_OK 
4000	@flag AVCERR_OK | No error when 0 or positive.

$ GRAPHICS_WARN_DMA_CMP        
4001 DMA Image compare failed: line %d byte %d

$ GRAPHICS_WARN_DMA_SAVE        
4002 Could not open %s to save dma'ed image

$ GRAPHICS_WARN_DMA_REF_OPEN 
4003 Could not open %s to compare dma'ed image

$ *********************************
$ ERROR messages
$ *********************************
$ TEST_ARGUMENT_ERRMSG  6000	
6000    Bad argument.  Use 'graphicstest -u' to find proper arguments.

$ BAD_OPTIONS_ERRMSG 	6001
6001    Bad options argument.  Use 'graphicstest -u' to find proper arguments.

$ SUBTEST_ERRMSG  	6002 
6002	Subtest Error: invalid subtest choice.  Use 'graphicstest -u' to find \n\
proper subtest choices.

$ TEST_SAMPLE_ERRMSG  	6003
6003	Sample error mesg.

$ TEST_FINAL_ERRMSG 	6004
6004	FInal error.


$ GRAPHICS_ERR_RESET		
6107 ResetSystem Failed.\n\
 Probable_Cause(s): <h/w subcomponent error>\n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_LOAD		
6108 Load Failed.\n\
 Probable_Cause(s): <h/w subcomponent error>\n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_OPEN_LIBRARY		
6109 Cannot Open %s \n\
 Probable_Cause(s): <error in installing packages SUNWkfbcf>\n\
 Recommended_Action(s): < reinstall package SUNWkfbcf>\n\
   <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_NULL_CODES		
6110 Data corruption in error messages codes\n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_NULL_STRING		
6111 Data corruption in error messages strings code = %d\n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_MMAP		
6112 Open Failed. \n\
 Probable_Cause(s): <System error not finding h/w> <h/w error>\n\
 Recommended_Action(s): <check /dev and /devices for graphics entries>\n\
  <If the problem persists, call your authorized Sun service provider.>
 
$ GRAPHICS_ERR_DMA_CMP        
6204 DMA Image compare failed.\n\
 Probable_Cause(s): <vpic, vcp error> <system error>\n\
 Recommended_Action(s): <Set GRAPHICS_SVTS_FLAGS env var to 2 and rereun, then check sunraster file in /tmp>\n\
  <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_OPEN_MSG        
6205 Open test failure %s \n\
 Probable_Cause(s): <software error>\n\
 Recommended_Action(s): <Reinstall software  or contact your system administrator.>\n\
  <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_DMA_MSG        
6206 DMA test failure %s \n\
 Probable_Cause(s): <software error>\n\
 Recommended_Action(s): <Reinstall software  or contact your system administrator.>\n\
  <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_MEMORY_MSG        
6207 Memory test failure %s \n\
 Probable_Cause(s): <Bad memory >\n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_CHIP_MSG        
6208 Chip test failure %s \n\
 Probable_Cause(s): <Bad Hardware >\n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_OPEN        
6209 Open test failure  \n\
 Probable_Cause(s): <software error>\n\
 Recommended_Action(s): <Reinstall software  or contact your system administrator.>\n\
  <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_DMA        
6210 DMA test failure \n\
 Probable_Cause(s): <software error>\n\
 Recommended_Action(s): <Reinstall software  or contact your system administrator.>\n\
  <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_MEMORY        
6211 Memory test failure \n\
 Probable_Cause(s): <Bad memory >\n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_CHIP        
6212 Chip test failure \n\
 Probable_Cause(s): <Bad Hardware >\n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_CONNECTIVITY        
6213 Connectivity test failure \n\
 Probable_Cause(s): <Hardware not properly installed >\n\
 Recommended_Action(s): <Reinstall hardware  or contact your system administrator.>\n\
  <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_CONNECTIVITY_MSG        
6214 Connectivity test failure %s\n\
 Probable_Cause(s): <Hardware not properly installed >\n\
 Recommended_Action(s): <Reinstall hardware  or contact your system administrator.>\n\
  <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_1           
7681 Error: %s\n\
 Probable_Cause(s): <memory error> \n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_1           
7681 Error: %s\n\
 Probable_Cause(s): <memory error> \n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_FILE        
7682 Couldn't open file on host for writing\n\
 Probable_Cause(s): <System load too heavy?> <System error?> <Missing file, too may files open?>\n\
 Recommended_Action(s): <Reduce the system load>\n\
  <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_2           
7683 Error: @ x=, y=, expected, read\n\
 Probable_Cause(s): <dram error, shorted dram pins?> \n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_3           
7684 More errors!!!\n\
 Probable_Cause(s): <dram error, shorted dram pins?> \n\
 Recommended_Action(s): <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_BITS_1      
7687 Bit: Package U / IO / Pin

$ GRAPHICS_ERR_BITS_2      
7688 Bit: Package U / IO / Pin 

$ GRAPHICS_ERR_MALLOC_FAIL 
7689 !!!! malloc() failed!!!!\n\
 Probable_Cause(s): <System load too heavy?> <System error?>\n\
 Recommended_Action(s): <Reduce the system load>\n\
  <If the problem persists, call your authorized Sun service provider.>

$ GRAPHICS_ERR_ABORT  
7690 Errors detected -- aborting

$ ********************************
$ FATAL messages
$ ********************************
